

local how_to_use = [[  
See how to use it on the Wiki

]]

minetest.register_node("waystone:waystone", {
	description = "WayStone",
	drawtype = "mesh",
	mesh = "waystone.obj",
	tiles = {"waystones.png"},
	paramtype = "light",
	paramtype2 = "facedir",
	--on_place = minetest.rotate_node,
	sunlight_propagates = true,
	walkable = true, 
	floodable = false,
	groups = {cracky = 3, stone = 1},
	drop = "waystone:waystone",
	light_source = 8,
	--sounds = default.node_sound_metal_defaults(),
	
	selection_box = {
		type = "fixed",
		--    esqueda,altura,tras..,direita ,negativo aumenta para baixo, positivo aumenta para cima
		fixed = {-0.4, -0.5, -0.4, 0.4,1.3, 0.4},
	},
	
	node_box = {
		type = "fixed", 
		fixed = {-0.4, -0.5, -0.4, 0.4,1.3, 0.4},
	},
	
	
	
	--- callbacks : =====================
	 on_construct = function(pos)
         
         local meta = minetest.get_meta(pos)
         meta:set_string("owner", "")
         local owner = meta:get_string("owner")
         
        

        end,
    
    
	    after_place_node = function(pos, placer) -- REGISTRAR DONO 
	    
				local meta = minetest.get_meta(pos)
				meta:set_string("owner", placer:get_player_name() or "")
				
				local owner = meta:get_string("owner")
				-- minetest.log(owner)
				
	   end,
	   
	   
	   
	   can_dig = function(pos, player)
		local meta = minetest.get_meta(pos)
		local owner = meta:get_string("owner")
		
		
		if player:get_player_name() == owner then
		    return true  -- SOMENTE O DONO PODE CAVAR
		else
		    minetest.chat_send_player(player:get_player_name(), "You can't dig that waystone")
		    return false  -- SE NÃO FOR O DONO, ENTÃO É FALSO
		end
	    end,
	    
	    
	    
	    on_rightclick = function(pos, node, clicker, itemstack, pointed_thing)	   	  
	   	    
	   	    local player_name = clicker:get_player_name()
	   	    
	   	    local formspec_waystone = "size[6,2]"..
		    "label[1.5,0.2;"..how_to_use.."]"..
		    "button_url[2,1;2,2;wiki;Wiki;https://codeberg.org/pixelzone/waystone/src/branch/main/README.md]"
		   		    		    
	      		
		     minetest.show_formspec(player_name, "waystone:wayform", formspec_waystone)
    
           end,
    
	  
	  
	  on_blast = function() end
	
	
})
